package com.yd.csf.feign.enums;

/**
 * 变量类型枚举
 */
public enum VariableEnum {

    FIXED_VALUE("固定值","FIXED_VALUE"),
    DYNAMIC_COMPUTATION("动态计算","DYNAMIC_COMPUTATION"),
    ;
    //字典项标签（名称）
    private String itemLabel;
    //字典项值
    private String itemValue;

    //构造函数
    VariableEnum(String itemLabel, String itemValue) {
        this.itemLabel = itemLabel;
        this.itemValue = itemValue;
    }

    public String getItemLabel() {
        return itemLabel;
    }

    public String getItemValue() {
        return itemValue;
    }
}
